> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whitebit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get investments history

> Retrieve the history of fixed-term Smart investment operations via the WhiteBIT V4 API.

<Note>
  These endpoints are available only for B2B partner services. Fill the form at [https://whitebit.com/institutional-services/b2b](https://whitebit.com/institutional-services/b2b) to request access.
</Note>


## OpenAPI

````yaml /openapi/private/main_api_v4.yaml POST /api/v4/main-account/smart/investments
openapi: 3.0.3
info:
  title: WhiteBIT Private HTTP API V4
  description: |
    WhiteBIT Private HTTP API V4 for Main balance changes.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.
  version: 4.0.0
  contact:
    name: WhiteBIT Support
    email: support@whitebit.com
    url: https://whitebit.com
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
    PayloadAuth: []
    SignatureAuth: []
tags:
  - name: Main Account
    description: Main account balance and operations
  - name: Deposit
    description: Cryptocurrency and fiat deposit operations
  - name: Withdraw
    description: Cryptocurrency and fiat withdrawal operations
  - name: Transfer
    description: Balance transfer operations
  - name: Codes
    description: WhiteBIT codes operations
  - name: Crypto Lending - Fixed
    description: Fixed crypto lending plans
  - name: Crypto Lending - Flex
    description: Flexible crypto lending plans
  - name: Fees
    description: Fee information
  - name: Sub-Account
    description: Sub-account management
  - name: Sub-Account API Keys
    description: Sub-account API key management
  - name: Mining Pool
    description: Mining pool operations
  - name: Credit Line
    description: Credit line information
  - name: JWT
    description: JWT token management
paths:
  /api/v4/main-account/smart/investments:
    post:
      tags:
        - Crypto Lending - Fixed
      summary: Get investments history
      description: |
        The endpoint retrieves an investments history.

        <Warning>
        Rate limit: 1000 requests/10 sec.
        </Warning>

        <Note>
        The API does not cache the response.
        </Note>
      operationId: getFixedInvestmentsHistory
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - request
                - nonce
              properties:
                id:
                  type: string
                  description: Investment identifier
                  example: 0d7b66ff-1909-4938-ab7a-d16d9a64dcd5
                ticker:
                  type: string
                  description: >-
                    [Invest plan](/glossary#crypto-lending) source currency's
                    [ticker](/glossary#ticker)
                  example: USDT
                status:
                  type: integer
                  description: Investment status (1 - active, 2 - closed)
                  enum:
                    - 1
                    - 2
                  example: 1
                limit:
                  type: integer
                  minimum: 1
                  maximum: 100
                  default: 100
                  description: >-
                    LIMIT is a special clause used to limit records a particular
                    query can return.
                  example: 100
                offset:
                  type: integer
                  minimum: 0
                  maximum: 10000
                  default: 0
                  description: >-
                    Use the OFFSET clause to return entries starting from a
                    particular line.
                  example: 0
                request:
                  type: string
                  description: Request signature
                  example: '{{request}}'
                nonce:
                  type: integer
                  description: Unique request identifier
                  example: 1594297865000
            example:
              id: 0d7b66ff-1909-4938-ab7a-d16d9a64dcd5
              ticker: USDT
              status: 1
              request: '{{request}}'
              nonce: 1594297865000
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  offset:
                    type: integer
                  limit:
                    type: integer
                  records:
                    type: array
                    items:
                      $ref: '#/components/schemas/Investment'
              example:
                offset: 0
                limit: 100
                records:
                  - id: 0d7b66ff-1909-4938-ab7a-d16d9a64dcd5
                    plan:
                      id: 8e667b4a-0b71-4988-8af5-9474dbfaeb51
                      ticker: USDT
                      status: 1
                      percent: '10'
                      duration: 14400
                      interestTicker: USDT
                      interestRatio: '1'
                      minInvestment: '100'
                      maxInvestment: '10000'
                      maxPossibleInvestment: '3000'
                    status: 1
                    created: 1646825196
                    updated: 1646825196
                    paymentTime: 1646839596
                    amount: '100'
                    interestPaid: '0'
        '400':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                invalidFields:
                  summary: Invalid id, ticker, or status
                  value:
                    code: 0
                    message: Validation failed
                    errors:
                      id:
                        - The selected id is invalid.
                      ticker:
                        - The selected ticker is invalid.
                      status:
                        - The selected status is invalid.
components:
  schemas:
    Investment:
      type: object
      properties:
        id:
          type: string
          description: Investment identifier
          example: '1232'
        plan:
          $ref: '#/components/schemas/FixedPlan'
          description: Investment plan (similar to Get plans response)
        status:
          type: integer
          description: Investment status (1 - active, 2 - closed)
          example: 1
        created:
          type: integer
          description: Timestamp of investment creation
          example: 1588345560
        updated:
          type: integer
          description: Timestamp of investment update
          example: 1588345560
        paymentTime:
          type: integer
          description: Timestamp of the payment time
          example: 1588345560
        amount:
          type: string
          description: Investment amount
          example: '100'
        interestPaid:
          type: string
          description: Interest paid amount
          example: '0.01'
    Error:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
    FixedPlan:
      type: object
      properties:
        id:
          type: string
          description: Invest plan identifier
          example: '1'
        ticker:
          type: string
          description: Source currency ticker
          example: BTC
        status:
          type: integer
          description: Status (1 - active, 2 - no coins left, 3 - inactive, 4 - pause)
          example: 1
        percent:
          type: string
          description: Interest percent
          example: '0.01'
        duration:
          type: integer
          description: Investment duration (in minutes)
          example: 40320
        interestTicker:
          type: string
          description: Target currency ticker
          example: BTC
        interestRatio:
          type: string
          description: Target currency to source currency ratio
          example: '1'
        minInvestment:
          type: string
          description: Minimum investment amount
          example: '100'
        maxInvestment:
          type: string
          description: Maximum investment amount
          example: '10000'
        maxPossibleInvestment:
          type: string
          description: Maximum investment amount due to current invest plan state
          example: '3000'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: The public WhiteBIT API key.
    PayloadAuth:
      type: apiKey
      in: header
      name: X-TXC-PAYLOAD
      description: Base64-encoded JSON request body.
    SignatureAuth:
      type: apiKey
      in: header
      name: X-TXC-SIGNATURE
      description: >-
        HMAC-SHA512 signature of the payload, hex-encoded. Computed as
        hex(HMAC-SHA512(payload, api_secret)).

````